@import "../../kits/css/base/mc-reset@mobile-v1";
@import "../../kits/css/base/mc-base@mobile-v1";
@import "../../kits/css/base/mc-pre-code@theme=aa";
// my-layer插件的主题
@import "mc-layer@theme=aa";
@import "mc-layer@theme=ab";

html {
    font-size : 12px;
}

body {
    padding : 1rem;
}

h1 {
    text-align : center;
}

#aaa {
    position      : relative;
    width         : 25rem;
    height        : 21rem;
    background    : #fff;
    padding       : 1rem;
    box-sizing    : border-box;
    border-radius : 3px;

    .x_layer {
        width         : 2.4rem;
        height        : 2.4rem;
        border-radius : 50%;
        background    : #fff;
        position      : absolute;
        top           : 105%;
        left          : 50%;
        margin-left   : -1.2rem;

        &:after {
            position      : absolute;
            content       : " ";
            width         : 50%;
            height        : 50%;
            display       : inline-block;
            border-radius : 30%;
            left          : 25%;
            top           : 25%;
            background    : linear-gradient(45deg, transparent 45%, #454545 45%, #454545 55%, transparent 55%), linear-gradient(-45deg, transparent 45%, #454545 45%, #454545 55%, transparent 55%);
        }
    }
}

#aaa-load {
    color : #f90;
}

.btn {
    width         : 100%;
    height        : 3.5rem;
    margin        : .5rem 0;
    border        : 1px solid #dfdfdf;
    border-radius : 3px;
    background    : #fafafa;
}

#user {
    width         : 85vmin;
    background    : #fff;
    border-radius : .8vmin;
    padding       : 9.6vmin 0 3vmin 0;
    position      : relative;
    font-size     : 3vmin;
}

#user #login, #user #reg {
    width      : 100%;
    text-align : center;
    display    : none
}

#user #login h1, #user #reg h1 {
    font-size      : 4.5vmin;
    color          : #fb295d;
    line-height    : 1;
    padding-bottom : 3vmin
}

#user #login > p, #user #reg > p {
    background : #ffc0d0;
    margin     : 2vmin 0
}

#user #login > p span, #user #reg > p span {
    display     : none;
    line-height : 12.9vmin;
    color       : #fb295d
}

#user #login > p span.show, #user #reg > p span.show {
    display : inline-block
}

#user #login ul, #user #reg ul {
    padding : 0 4.4666666vmin 0 4.4666666vmin
}

#user #login li, #user #reg li {
    padding  : 1.333333vmin 0;
    position : relative
}

#user #login li #login_msg, #user #login li #reg_msg, #user #reg li #login_msg, #user #reg li #reg_msg {
    color   : #c10a0a;
    display : inline-block;
    height  : 4.529333vmin
}

#user #login li p, #user #reg li p {
    color       : #444;
    padding-top : 3vmin
}

#user #login input, #user #reg input {
    width         : 100%;
    height        : 11vmin;
    border        : 1px solid #cacaca;
    border-radius : .4vmin;
    padding       : 0 3.333333vmin
}

#user #login .ui-login-v-code-img, #user #login .ui-register-v-code-img, #user #reg .ui-login-v-code-img, #user #reg .ui-register-v-code-img {
    width               : 22vmin;
    height              : 8.5vmin;
    position            : absolute;
    top                 : 1vmin;
    right               : 0;
    display             : inline-block;
    background-clip     : padding-box;
    background-size     : 100% 100%;
    background-repeat   : no-repeat;
    user-select         : none;
    -webkit-user-select : none;
    background-color    : #f5f5f5;
    border              : 1.5vmin solid transparent;
    box-sizing          : content-box;
    -webkit-box-sizing  : content-box
}

#user #login .xui-m-code, #user #reg .xui-m-code {
    background              : #a9a9a9;
    display                 : block;
    color                   : #fff;
    z-index                 : 1;
    line-height             : 8.5vmin;
    user-select             : none;
    -webkit-user-select     : none;
    position                : absolute;
    right                   : 0;
    top                     : 1.2vmin;
    font-weight             : 400;
    min-width               : 19vmin;
    height                  : 8.5vmin;
    padding                 : 0 1.5vmin;
    box-sizing              : content-box;
    -webkit-box-sizing      : content-box;
    border                  : 2.5vmin solid transparent;
    background-clip         : padding-box;
    -webkit-background-clip : padding-box
}

#user #login button, #user #reg button {
    margin-top    : 2vmin;
    width         : 100%;
    height        : 11vmin;
    line-height   : 11vmin;
    background    : #fb295d;
    position      : relative;
    color         : #fff;
    border-radius : 1vmin;
    transition    : all .05s;
    font-size     : 3.5vmin;
}

#user #login button:active, #user #reg button:active {
    transform : scale(.99, .95)
}

#user.login #login, #user.reg #reg {
    display : inline-block
}

.co-vice {
    color : #fb295d
}

.user-close {
    width    : 14vmin;
    height   : 14vmin;
    position : absolute;
    right    : -2vmin;
    top      : -2vmin;
    padding  : 5.5vmin;
    display  : block
}

.user-close > * {
    display    : block;
    width      : 100%;
    height     : 100%;
    background : linear-gradient(45deg, transparent 45%, #fb295d 45%, #fb295d 55%, transparent 55%), linear-gradient(-45deg, transparent 45%, #fb295d 45%, #fb295d 55%, transparent 55%)
}